# Using ProudNet

In order to use ProudNet, you need to link the Lib files in the <mark style="color:orange;">ProudNet installation location</mark> -> <mark style="color:orange;">Lib</mark> folder to your project. Please link the version that matches your version of Visual Studio and the compilation version (debug, release, etc.).&#x20;

{% hint style="danger" %}
Link with caution, as it will not work if the versions do not match.
{% endhint %}

The ProudNet module is available by including <mark style="color:orange;">ProudNet.h</mark> in the <mark style="color:orange;">./include</mark> folder.\
All sources are bundled with <mark style="color:orange;">namespace Proud</mark>, which makes it more convenient to use namespace Proud.

## Contents

### :black\_small\_square: [Server and Client](/proudnet.eng/proudnet/using_pn/server_client.md)

### :black\_small\_square: [RMI](/proudnet.eng/proudnet/using_pn/rmi.md)

### :black\_small\_square: [PIDL](/proudnet.eng/proudnet/using_pn/pidl.md)

### :black\_small\_square: [Event handling](/proudnet.eng/proudnet/using_pn/eventhandling.md)

### :black\_small\_square: [Communication messages](/proudnet.eng/proudnet/using_pn/communication-messages.md)

### :black\_small\_square: [P2P communication](/proudnet.eng/proudnet/using_pn/p2p.md)

## Example codes variables

{% hint style="info" %}
For better understanding, C++ and C# code examples are written, so please refer to the variables below.
{% endhint %}

{% tabs %}
{% tab title="C++" %}

<table><thead><tr><th width="196">Variable name</th><th>Description</th></tr></thead><tbody><tr><td>m_netCient </td><td>Instantiated CNetClient objects</td></tr><tr><td>m_netServer </td><td>Instantiated CNetServer objects</td></tr><tr><td>g_version </td><td>Globally set protocol version</td></tr></tbody></table>
{% endtab %}

{% tab title="C#" %}

<table><thead><tr><th width="201">Variable name</th><th>Description</th></tr></thead><tbody><tr><td>netClient </td><td>Instantiated NetClient objects</td></tr><tr><td>netServer </td><td>Instantiated NetServer objects</td></tr><tr><td>version </td><td>Preset protocol version variable</td></tr><tr><td>simpleStub </td><td>User-defined Stub objects</td></tr><tr><td>simpleProxy </td><td>User-defined Proxy objects</td></tr></tbody></table>
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.proudnet.com/proudnet.eng/proudnet/using_pn.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
